claw::multi_type_map< Key, TypeList > Class Template Reference

This class can associate values of different types to a key. More...

## Detailed Description

template<typename Key, typename TypeList>
class claw::multi_type_map< Key, TypeList >

This class can associate values of different types to a key.

Template parameters

- Key The type to use for the keys.
- TypeList The list of the types that the map should support.

Type requirements

- Key must be LessThanComparable.
- The last type in TypeList must be claw::meta::no_type.
- type_list_is_a_set<TypeList>::result == true

Example

multi_type_map<int, type_list<std::string, type_list<int, no_type> > > my_map;

Author
  Julien Jorge

Definition at line 90 of file multi_type_map.hpp.

The documentation for this class was generated from the following file:

- multi_type_map.hpp